using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp3
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int d = int.Parse(Console.ReadLine());
            int[] pozicije = Array.ConvertAll(Console.ReadLine().Split(), int.Parse);
            List<int> poz = new List<int>();
            List<int> neg = new List<int>();
            for (int i = 0; i < d; i++)
            {
                if (pozicije[i] < 0)
                {
                    neg.Add(pozicije[i]);
                }
                else
                {
                    poz.Add(pozicije[i]);
                }
            }
            neg.Sort();
            neg.Reverse();
            if (pozicije.Contains(1) && pozicije.Contains(-1))
            {
                Console.WriteLine(1);
                Console.WriteLine(1);
            }
            else if ((pozicije.Contains(1) && pozicije.Contains(2)))
            {
                Console.WriteLine(2);
                Console.WriteLine("12");
            }
            else if ((pozicije.Contains(2) && pozicije.Contains(3)) && (pozicije.Contains(-2) && pozicije.Contains(-3)))
            {
                Console.WriteLine(3);
                Console.WriteLine("121");
            }
            else
            {
                int br = d;
                if (poz.Min() < neg[0])
                {
                    Console.WriteLine(d);
                    while (br > 0)
                    {
                        Console.Write("12");
                        br -= 2;
                    }
                }
                else
                {
                    Console.WriteLine(d);
                    while (br > 0)
                    {
                        Console.Write("21");
                        br -= 2;
                    }
                }
            }
        }
    }
}